View Issue Details

IDProjectCategoryView StatusLast Update
0003334SketcherBugpublic2018-10-02 19:03
ReporterchrisbAssigned Toabdullah 
PrioritylowSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.18Fixed in Version0.18 
Summary0003334: Undo bug in Sketcher
DescriptionUndoing a very simple sketch with self constraints shortens the vertical axis so that it has to be enlarged to be visible again
Steps To Reproduce- New Sketch
- Auto Constraints on
- Draw line from the center (auto-coincidence) horizontal to somewhere on the X-axis
- Hit Control Z twice

Result: The auto-constraints are gone and the Y-Axis is shortened to almost invisible wthout enlargement
Additional Informationhttps://forum.freecadweb.org/viewtopic.php?f=10&t=26634#p212277
There is a sample file attached as well.
Tagssketcher, undo

Issue History

Date Modified Username Field Change
2018-01-30 15:20 chrisb New Issue
2018-01-30 15:20 chrisb Status new => assigned
2018-01-30 15:20 chrisb Assigned To => abdullah
2018-02-05 16:35 Kunda1 Tag Attached: undo
2018-02-05 16:36 Kunda1 Tag Attached: sketcher
2018-10-01 14:36 abdullah Note Added: 0011882
2018-10-02 19:03 wmayer Status assigned => closed
2018-10-02 19:03 wmayer Resolution open => fixed
2018-10-02 19:03 wmayer Fixed in Version => 0.18
2018-10-02 19:03 wmayer Note Added: 0011887